//
//  ViewController.swift
//  InAppProvisioningSample_Swift
//
//  Created by jefferson silva on 13/10/2021.
//

import UIKit

class ViewController2: UIViewController {
   
    override func viewDidLoad() {
        super.viewDidLoad()
        SmoneyInAppProvisioning.setUserID("47678678")
        let button:PKAddPassButton = PKAddPassButton()
        button.isHidden = PKAddPassesViewController.canAddPasses() ? false : true
        button.addTarget(self, action: #selector(onAddPass), for: .touchUpInside)
        button.center = CGPoint(x: self.view.frame.size.width/2, y: self.view.frame.size.height/2)
        self.view.addSubview(button)
    }
    
    @objc func onAddPass(){
        let manager:SMIAPButtonManager = SMIAPButtonManager(cardHolderName: "CardHolderName", primaryAccountSuffix: "CardPrimaryAccountSuffix", delegate: self, sender: self)
        manager.addPass()
//        manager.testApi(withCertificateChain: <#T##[Data]#>, nonce: <#T##Data#>, nonceSignature: <#T##Data#>)
    }
}

extension ViewController2: SMIAPButtonManagerDelegate{
    func didFinishWithError(_ error: Error) {}
    func didFinishWithSuccess() {}
}
